/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicMapImageryDescription extends Description {
    constructor() {
        super();
        this.h = null;
        this.f = null;
        this.m = null;
        this.l = null;
        this.j = null;
        this.k = null;
    }
    get_type() {
        return "GeographicMapImagery";
    }
    get type() {
        return this.get_type();
    }
    get windowRect() {
        return this.h;
    }
    set windowRect(a) {
        this.h = a;
        this.e("WindowRect");
    }
    get geographicMap() {
        return this.f;
    }
    set geographicMap(a) {
        this.f = a;
        this.e("GeographicMap");
    }
    get imageTilesReadyRef() {
        return this.m;
    }
    set imageTilesReadyRef(a) {
        this.m = a;
        this.e("ImageTilesReadyRef");
    }
    get imagesChangedRef() {
        return this.l;
    }
    set imagesChangedRef(a) {
        this.l = a;
        this.e("ImagesChangedRef");
    }
    get cancellingImageRef() {
        return this.j;
    }
    set cancellingImageRef(a) {
        this.j = a;
        this.e("CancellingImageRef");
    }
    get downloadingImageRef() {
        return this.k;
    }
    set downloadingImageRef(a) {
        this.k = a;
        this.e("DownloadingImageRef");
    }
}
GeographicMapImageryDescription.$t = markType(GeographicMapImageryDescription, 'GeographicMapImageryDescription', Description.$);
